New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Cake 0.25 cannot install addins #2037

Open
cra0zy opened this Issue Feb 13, 2018 · 3 comments

Comments

Projects
None yet
4 participants
@cra0zy

cra0zy commented Feb 13, 2018

What You Are Seeing?

Adding any addin to the cake script results in it failing to run.

What is Expected?

It runs.

What version of Cake are you using?

0.25, downgrading to 0.24 solves the problem for me.

Are you running on a 32 or 64 bit system?

64 bit

What environment are you running on? Windows? Linux? Mac?

Linux

Are you running on a CI Server? If so, which one?

Running locally on Fedora 27.

How Did You Get This To Happen? (Steps to Reproduce)

Add an addin to the build.cake script and try to run it.

Output Log

Feeds used:
  /home/harry/.nuget/packages/
  https://api.nuget.org/v3/index.json

All packages listed in /mnt/Data/GitHub/GtkSharp/tools/packages.config are already installed.
Analyzing build script...
Processing build script...
Installing addins...
Install failed. Rolling back...
Error: One or more errors occurred.
	Could not load type 'NuGet.Packaging.PackageArchiveReader' from assembly 'NuGet.Packaging, Version=4.3.0.5, Culture=neutral, PublicKeyToken=31bf3856ad364e35'.
@coder2000

This comment has been minimized.

coder2000 commented Jun 8, 2018

I am getting the same issue on every version since 0.24.0 on Ubuntu 18.04

@catafest

This comment has been minimized.

catafest commented Dec 3, 2018

Same error with Fedora 29 (when I try to build Librelancer game)

[root@desk Librelancer]# ./build.sh 
Feeds used:
  https://api.nuget.org/v3/index.json

All packages listed in /home/mythcat/Librelancer/tools/packages.config are already installed.
Install failed. Rolling back...
Error: One or more errors occurred.
	Could not load type 'NuGet.Packaging.PackageArchiveReader' from assembly 'NuGet.Packaging, Version=4.7.0.5, Culture=neutral, PublicKeyToken=31bf3856ad364e35'.

@devlead

This comment has been minimized.

Member

devlead commented Dec 3, 2018

@catafest running Mono or .NET Core?
Which version of the Mono or .NET Core?
If on Mono does it work if you launch Cake with cake.exe --nuget_useinprocessclient=false (read more at https://cakebuild.net/docs/fundamentals/default-configuration-values#in-process-nuget-installation)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment